Public Member Functions | Public Attributes | List of all members
PowerPoint7TextInternal::Ruler Struct Reference

Internal: a ruler of a PowerPoint7Text. More...

## Public Member Functions
| Ruler ()
| constructor More...
void | updateParagraph (int level)
| returns a paragraph corresponding to a level More...

## Public Attributes
MWAWParagraph | m_paragraph
| the paragraph More...
int | m_margins [10]
| the left/first margins * 5 (0: normal, 1-4: level) More...

## Detailed Description

Internal: a ruler of a PowerPoint7Text.

## Constructor & Destructor Documentation

## ◆ Ruler()

PowerPoint7TextInternal::Ruler::Ruler | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ updateParagraph()

void PowerPoint7TextInternal::Ruler::updateParagraph | ( | int | level | ) |
| inline

returns a paragraph corresponding to a level

Referenced by PowerPoint7Text::readTextZone().

## Member Data Documentation

## ◆ m_margins

int PowerPoint7TextInternal::Ruler::m_margins[10]

the left/first margins * 5 (0: normal, 1-4: level)

Referenced by PowerPoint7Text::readRuler(), Ruler(), and updateParagraph().

## ◆ m_paragraph

MWAWParagraph PowerPoint7TextInternal::Ruler::m_paragraph

the paragraph

Referenced by PowerPoint7Text::readRulerTabs(), PowerPoint7Text::readTextZone(), and updateParagraph().

The documentation for this struct was generated from the following file:

- PowerPoint7Text.cxx